Summary: Microcode Control Tool
Name: microcode-ctl
Version: git
Release: r0.0.0
License: GPLv2
Group: console/utils
Packager: Wind River <info@windriver.com>
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: initscripts
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: update-rc.d-native
Requires: rtld(GNU_HASH)
Requires: /bin/bash
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.7)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: microcode-ctl-firmware
Requires: bash
Requires(pre): rtld(GNU_HASH)
Requires(pre): /bin/bash
Requires(pre): libc.so.6()(64bit)
Requires(pre): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(pre): libc.so.6(GLIBC_2.7)(64bit)
Requires(pre): libc6 >= 2.20+sdkwrl7+27
Requires(pre): microcode-ctl-firmware
Requires(pre): bash
Requires(post): rtld(GNU_HASH)
Requires(post): /bin/bash
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.7)(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+27
Requires(post): microcode-ctl-firmware
Requires(post): bash
Requires(preun): rtld(GNU_HASH)
Requires(preun): /bin/bash
Requires(preun): libc.so.6()(64bit)
Requires(preun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(preun): libc.so.6(GLIBC_2.7)(64bit)
Requires(preun): libc6 >= 2.20+sdkwrl7+27
Requires(preun): microcode-ctl-firmware
Requires(preun): bash
Requires(postun): rtld(GNU_HASH)
Requires(postun): /bin/bash
Requires(postun): libc.so.6()(64bit)
Requires(postun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(postun): libc.so.6(GLIBC_2.7)(64bit)
Requires(postun): libc6 >= 2.20+sdkwrl7+27
Requires(postun): microcode-ctl-firmware
Requires(postun): bash
Suggests: update-rc.d
Provides: elf(buildid) = 8d716d2bb16ec96a9549497461e30e9b50337b65

%description
Microcode Control Tool.

%package -n microcode-ctl-dbg
Summary: Microcode Control Tool - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: microcode-ctl = git-r0.0.0

%description -n microcode-ctl-dbg
Microcode Control Tool.  This package contains ELF symbols and related
sources for debugging purposes.

%package -n microcode-ctl-staticdev
Summary: Microcode Control Tool - Development files (Static Libraries)
Group: devel
Requires: microcode-ctl-dev = git-r0.0.0

%description -n microcode-ctl-staticdev
Microcode Control Tool.  This package contains static libraries for
software development.

%package -n microcode-ctl-dev
Summary: Microcode Control Tool - Development files
Group: devel
Requires: microcode-ctl = git-r0.0.0
Suggests: bash-dev
Suggests: libc6-dev
Suggests: microcode-ctl-firmware-dev
Suggests: initscripts-dev

%description -n microcode-ctl-dev
Microcode Control Tool.  This package contains symbolic links, header
files, and related items necessary for software development.

%package -n microcode-ctl-doc
Summary: Microcode Control Tool - Documentation files
Group: doc

%description -n microcode-ctl-doc
Microcode Control Tool.  This package contains documentation.

%package -n microcode-ctl-locale
Summary: Microcode Control Tool
Group: console/utils

%description -n microcode-ctl-locale
Microcode Control Tool.

%package -n microcode-ctl-firmware
Summary: Microcode Control Tool
Group: console/utils

%description -n microcode-ctl-firmware
Microcode Control Tool.

%pre
# microcode-ctl - preinst
#!/bin/sh
if [ -z "$D" -a -f "/etc/init.d/microcode_ctl" ]; then
	/etc/init.d/microcode_ctl stop
fi
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-f -r $D"
	else
		OPT="-f"
	fi
	update-rc.d $OPT microcode_ctl remove
fi


%post
# microcode-ctl - postinst
#!/bin/sh
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-r $D"
	else
		OPT="-s"
	fi
	update-rc.d $OPT microcode_ctl start 80 2 3 4 5 . stop 20 0 1 6 .
fi


%preun
# microcode-ctl - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
if [ -z "$D" ]; then
	/etc/init.d/microcode_ctl stop
fi
fi

%postun
# microcode-ctl - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
if type update-rc.d >/dev/null 2>/dev/null; then
	if [ -n "$D" ]; then
		OPT="-r $D"
	else
		OPT=""
	fi
	update-rc.d $OPT microcode_ctl remove
fi
fi

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/etc"
%dir "/usr/sbin"
"/usr/sbin/microcode_ctl"
%dir "/etc/init.d"
"/etc/init.d/microcode_ctl"

%files -n microcode-ctl-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
%dir "/usr/src"
%dir "/usr/sbin/.debug"
"/usr/sbin/.debug/microcode_ctl"
%dir "/usr/src/debug"
%dir "/usr/src/debug/microcode-ctl"
%dir "/usr/src/debug/microcode-ctl/git-r0.0"
%dir "/usr/src/debug/microcode-ctl/git-r0.0/git"
"/usr/src/debug/microcode-ctl/git-r0.0/git/microcode_ctl.c"

%files -n microcode-ctl-dev
%defattr(-,-,-,-)

%files -n microcode-ctl-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/doc"
%dir "/usr/share/man/man8"
"/usr/share/man/man8/microcode_ctl.8.gz"
%dir "/usr/share/doc/microcode_ctl"
"/usr/share/doc/microcode_ctl/LICENSE.microcode_amd"
"/usr/share/doc/microcode_ctl/README.microcode_amd"
"/usr/share/doc/microcode_ctl/README.microcode_amd_fam15h.bin"
"/usr/share/doc/microcode_ctl/INSTALL.microcode_amd"
"/usr/share/doc/microcode_ctl/README.microcode_amd.bin"

%files -n microcode-ctl-firmware
%defattr(-,-,-,-)
%dir "/lib"
%dir "/lib/firmware"
"/lib/firmware/microcode.dat"

